<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="parkingDataSet1" targetNamespace="http://tempuri.org/parkingDataSet1.xsd" xmlns:mstns="http://tempuri.org/parkingDataSet1.xsd" xmlns="http://tempuri.org/parkingDataSet1.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="MySettings" AppSettingsPropertyName="parkingConnectionString" ConnectionStringObject="" IsAppSettingsProperty="True" Modifier="Assembly" Name="parkingConnectionString (MySettings)" PropertyReference="ApplicationSettings.WindowsApplication1.My.MySettings.GlobalReference.Default.parkingConnectionString" Provider="System.Data.OleDb">
          </Connection>
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="loginTableAdapter" GeneratorDataComponentClassName="loginTableAdapter" Name="login" UserDataComponentName="loginTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="parkingConnectionString (MySettings)" DbObjectName="login" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="True" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="True" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>DELETE FROM `login` WHERE ((`nm` = ?) AND ((? = 1 AND `pass` IS NULL) OR (`pass` = ?)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_nm" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="nm" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_pass" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="pass" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_pass" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="pass" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>INSERT INTO `login` (`nm`, `pass`) VALUES (?, ?)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="nm" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="nm" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="pass" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="pass" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>SELECT nm, pass FROM login</CommandText>
                    <Parameters>
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>UPDATE `login` SET `nm` = ?, `pass` = ? WHERE ((`nm` = ?) AND ((? = 1 AND `pass` IS NULL) OR (`pass` = ?)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="nm" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="nm" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="pass" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="pass" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_nm" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="nm" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_pass" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="pass" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_pass" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="pass" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="nm" DataSetColumn="nm" />
              <Mapping SourceColumn="pass" DataSetColumn="pass" />
            </Mappings>
            <Sources>
            </Sources>
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="VehicleDetailsTableAdapter" GeneratorDataComponentClassName="VehicleDetailsTableAdapter" Name="VehicleDetails" UserDataComponentName="VehicleDetailsTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="parkingConnectionString (MySettings)" DbObjectName="VehicleDetails" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="True" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="True" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>DELETE FROM `VehicleDetails` WHERE ((`id` = ?) AND ((? = 1 AND `Name` IS NULL) OR (`Name` = ?)) AND ((? = 1 AND `vehicleno` IS NULL) OR (`vehicleno` = ?)) AND ((? = 1 AND `chasisno` IS NULL) OR (`chasisno` = ?)) AND ((? = 1 AND `yearOfReg` IS NULL) OR (`yearOfReg` = ?)) AND ((? = 1 AND `memberExpDate` IS NULL) OR (`memberExpDate` = ?)) AND ((? = 1 AND `modelno` IS NULL) OR (`modelno` = ?)) AND ((? = 1 AND `phoneno` IS NULL) OR (`phoneno` = ?)) AND ((? = 1 AND `accountno` IS NULL) OR (`accountno` = ?)) AND ((? = 1 AND `imgt` IS NULL) OR (`imgt` = ?)) AND ((? = 1 AND `amount` IS NULL) OR (`amount` = ?)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_id" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="id" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_Name" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Name" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_Name" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Name" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_vehicleno" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="vehicleno" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_vehicleno" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="vehicleno" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_chasisno" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="chasisno" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_chasisno" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="chasisno" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_yearOfReg" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="yearOfReg" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="Original_yearOfReg" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="yearOfReg" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_memberExpDate" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="memberExpDate" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="Original_memberExpDate" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="memberExpDate" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_modelno" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="modelno" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_modelno" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="modelno" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_phoneno" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="phoneno" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_phoneno" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="phoneno" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_accountno" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="accountno" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_accountno" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="accountno" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_imgt" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="imgt" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_imgt" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="imgt" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_amount" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="amount" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_amount" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="amount" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>INSERT INTO `VehicleDetails` (`id`, `Name`, `vehicleno`, `chasisno`, `yearOfReg`, `memberExpDate`, `modelno`, `phoneno`, `accountno`, `imgt`, `amount`) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="id" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="id" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Name" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Name" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="vehicleno" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="vehicleno" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="chasisno" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="chasisno" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="yearOfReg" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="yearOfReg" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="memberExpDate" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="memberExpDate" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="modelno" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="modelno" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="phoneno" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="phoneno" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="accountno" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="accountno" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="imgt" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="imgt" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="amount" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="amount" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>SELECT id, Name, vehicleno, chasisno, yearOfReg, memberExpDate, modelno, phoneno, accountno, imgt, amount FROM VehicleDetails</CommandText>
                    <Parameters>
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>UPDATE `VehicleDetails` SET `id` = ?, `Name` = ?, `vehicleno` = ?, `chasisno` = ?, `yearOfReg` = ?, `memberExpDate` = ?, `modelno` = ?, `phoneno` = ?, `accountno` = ?, `imgt` = ?, `amount` = ? WHERE ((`id` = ?) AND ((? = 1 AND `Name` IS NULL) OR (`Name` = ?)) AND ((? = 1 AND `vehicleno` IS NULL) OR (`vehicleno` = ?)) AND ((? = 1 AND `chasisno` IS NULL) OR (`chasisno` = ?)) AND ((? = 1 AND `yearOfReg` IS NULL) OR (`yearOfReg` = ?)) AND ((? = 1 AND `memberExpDate` IS NULL) OR (`memberExpDate` = ?)) AND ((? = 1 AND `modelno` IS NULL) OR (`modelno` = ?)) AND ((? = 1 AND `phoneno` IS NULL) OR (`phoneno` = ?)) AND ((? = 1 AND `accountno` IS NULL) OR (`accountno` = ?)) AND ((? = 1 AND `imgt` IS NULL) OR (`imgt` = ?)) AND ((? = 1 AND `amount` IS NULL) OR (`amount` = ?)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="id" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="id" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Name" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Name" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="vehicleno" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="vehicleno" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="chasisno" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="chasisno" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="yearOfReg" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="yearOfReg" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="memberExpDate" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="memberExpDate" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="modelno" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="modelno" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="phoneno" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="phoneno" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="accountno" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="accountno" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="imgt" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="imgt" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="amount" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="amount" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_id" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="id" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_Name" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="Name" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_Name" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="Name" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_vehicleno" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="vehicleno" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_vehicleno" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="vehicleno" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_chasisno" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="chasisno" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_chasisno" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="chasisno" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_yearOfReg" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="yearOfReg" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="Original_yearOfReg" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="yearOfReg" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_memberExpDate" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="memberExpDate" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="DateTime" Direction="Input" ParameterName="Original_memberExpDate" Precision="0" ProviderType="Date" Scale="0" Size="0" SourceColumn="memberExpDate" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_modelno" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="modelno" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_modelno" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="modelno" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_phoneno" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="phoneno" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_phoneno" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="phoneno" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_accountno" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="accountno" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_accountno" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="accountno" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_imgt" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="imgt" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="Original_imgt" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="imgt" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="IsNull_amount" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="amount" SourceColumnNullMapping="True" SourceVersion="Original">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="Original_amount" Precision="0" ProviderType="Integer" Scale="0" Size="0" SourceColumn="amount" SourceColumnNullMapping="False" SourceVersion="Original">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="id" DataSetColumn="id" />
              <Mapping SourceColumn="Name" DataSetColumn="Name" />
              <Mapping SourceColumn="vehicleno" DataSetColumn="vehicleno" />
              <Mapping SourceColumn="chasisno" DataSetColumn="chasisno" />
              <Mapping SourceColumn="yearOfReg" DataSetColumn="yearOfReg" />
              <Mapping SourceColumn="memberExpDate" DataSetColumn="memberExpDate" />
              <Mapping SourceColumn="modelno" DataSetColumn="modelno" />
              <Mapping SourceColumn="phoneno" DataSetColumn="phoneno" />
              <Mapping SourceColumn="accountno" DataSetColumn="accountno" />
              <Mapping SourceColumn="imgt" DataSetColumn="imgt" />
              <Mapping SourceColumn="amount" DataSetColumn="amount" />
            </Mappings>
            <Sources>
            </Sources>
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="vehiclelogTableAdapter" GeneratorDataComponentClassName="vehiclelogTableAdapter" Name="vehiclelog" UserDataComponentName="vehiclelogTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="parkingConnectionString (MySettings)" DbObjectName="vehiclelog" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="True" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="True" UserGetMethodName="GetData" UserSourceName="Fill">
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>INSERT INTO `vehiclelog` (`cardno`, `name`, `intime`, `outtime`, `logdate`) VALUES (?, ?, ?, ?, ?)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="cardno" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="cardno" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="name" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="name" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="intime" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="intime" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="outtime" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="outtime" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                      <Parameter AllowDbNull="True" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="logdate" Precision="0" ProviderType="VarWChar" Scale="0" Size="0" SourceColumn="logdate" SourceColumnNullMapping="False" SourceVersion="Current">
                      </Parameter>
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="False">
                    <CommandText>SELECT cardno, name, intime, outtime, logdate, sid FROM vehiclelog</CommandText>
                    <Parameters>
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="cardno" DataSetColumn="cardno" />
              <Mapping SourceColumn="name" DataSetColumn="name" />
              <Mapping SourceColumn="intime" DataSetColumn="intime" />
              <Mapping SourceColumn="outtime" DataSetColumn="outtime" />
              <Mapping SourceColumn="logdate" DataSetColumn="logdate" />
              <Mapping SourceColumn="sid" DataSetColumn="sid" />
            </Mappings>
            <Sources>
            </Sources>
          </TableAdapter>
        </Tables>
        <Sources>
        </Sources>
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="parkingDataSet1" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:Generator_UserDSName="parkingDataSet1" msprop:Generator_DataSetName="parkingDataSet1">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="login" msprop:Generator_UserTableName="login" msprop:Generator_RowDeletedName="loginRowDeleted" msprop:Generator_TableClassName="loginDataTable" msprop:Generator_RowChangedName="loginRowChanged" msprop:Generator_RowClassName="loginRow" msprop:Generator_RowChangingName="loginRowChanging" msprop:Generator_RowEvArgName="loginRowChangeEvent" msprop:Generator_RowEvHandlerName="loginRowChangeEventHandler" msprop:Generator_TablePropName="login" msprop:Generator_TableVarName="tablelogin" msprop:Generator_RowDeletingName="loginRowDeleting">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="nm" msprop:Generator_UserColumnName="nm" msprop:Generator_ColumnPropNameInRow="nm" msprop:Generator_ColumnVarNameInTable="columnnm" msprop:Generator_ColumnPropNameInTable="nmColumn">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="pass" msprop:Generator_UserColumnName="pass" msprop:Generator_ColumnPropNameInRow="pass" msprop:Generator_ColumnVarNameInTable="columnpass" msprop:Generator_ColumnPropNameInTable="passColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="VehicleDetails" msprop:Generator_UserTableName="VehicleDetails" msprop:Generator_RowDeletedName="VehicleDetailsRowDeleted" msprop:Generator_TableClassName="VehicleDetailsDataTable" msprop:Generator_RowChangedName="VehicleDetailsRowChanged" msprop:Generator_RowClassName="VehicleDetailsRow" msprop:Generator_RowChangingName="VehicleDetailsRowChanging" msprop:Generator_RowEvArgName="VehicleDetailsRowChangeEvent" msprop:Generator_RowEvHandlerName="VehicleDetailsRowChangeEventHandler" msprop:Generator_TablePropName="VehicleDetails" msprop:Generator_TableVarName="tableVehicleDetails" msprop:Generator_RowDeletingName="VehicleDetailsRowDeleting">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="id" msprop:Generator_UserColumnName="id" msprop:Generator_ColumnPropNameInRow="id" msprop:Generator_ColumnVarNameInTable="columnid" msprop:Generator_ColumnPropNameInTable="idColumn">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Name" msprop:Generator_UserColumnName="Name" msprop:Generator_ColumnPropNameInRow="Name" msprop:Generator_ColumnVarNameInTable="columnName" msprop:Generator_ColumnPropNameInTable="NameColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="60" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="vehicleno" msprop:Generator_UserColumnName="vehicleno" msprop:Generator_ColumnPropNameInRow="vehicleno" msprop:Generator_ColumnVarNameInTable="columnvehicleno" msprop:Generator_ColumnPropNameInTable="vehiclenoColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="chasisno" msprop:Generator_UserColumnName="chasisno" msprop:Generator_ColumnPropNameInRow="chasisno" msprop:Generator_ColumnVarNameInTable="columnchasisno" msprop:Generator_ColumnPropNameInTable="chasisnoColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="yearOfReg" msprop:Generator_UserColumnName="yearOfReg" msprop:Generator_ColumnPropNameInRow="yearOfReg" msprop:Generator_ColumnVarNameInTable="columnyearOfReg" msprop:Generator_ColumnPropNameInTable="yearOfRegColumn" type="xs:dateTime" minOccurs="0" />
              <xs:element name="memberExpDate" msprop:Generator_UserColumnName="memberExpDate" msprop:Generator_ColumnPropNameInRow="memberExpDate" msprop:Generator_ColumnVarNameInTable="columnmemberExpDate" msprop:Generator_ColumnPropNameInTable="memberExpDateColumn" type="xs:dateTime" minOccurs="0" />
              <xs:element name="modelno" msprop:Generator_UserColumnName="modelno" msprop:Generator_ColumnPropNameInRow="modelno" msprop:Generator_ColumnVarNameInTable="columnmodelno" msprop:Generator_ColumnPropNameInTable="modelnoColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="phoneno" msprop:Generator_UserColumnName="phoneno" msprop:Generator_ColumnPropNameInRow="phoneno" msprop:Generator_ColumnVarNameInTable="columnphoneno" msprop:Generator_ColumnPropNameInTable="phonenoColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="accountno" msprop:Generator_UserColumnName="accountno" msprop:Generator_ColumnPropNameInRow="accountno" msprop:Generator_ColumnVarNameInTable="columnaccountno" msprop:Generator_ColumnPropNameInTable="accountnoColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="imgt" msprop:Generator_UserColumnName="imgt" msprop:Generator_ColumnPropNameInRow="imgt" msprop:Generator_ColumnVarNameInTable="columnimgt" msprop:Generator_ColumnPropNameInTable="imgtColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="amount" msprop:Generator_UserColumnName="amount" msprop:Generator_ColumnPropNameInRow="amount" msprop:Generator_ColumnVarNameInTable="columnamount" msprop:Generator_ColumnPropNameInTable="amountColumn" type="xs:int" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="vehiclelog" msprop:Generator_UserTableName="vehiclelog" msprop:Generator_RowDeletedName="vehiclelogRowDeleted" msprop:Generator_TableClassName="vehiclelogDataTable" msprop:Generator_RowChangedName="vehiclelogRowChanged" msprop:Generator_RowClassName="vehiclelogRow" msprop:Generator_RowChangingName="vehiclelogRowChanging" msprop:Generator_RowEvArgName="vehiclelogRowChangeEvent" msprop:Generator_RowEvHandlerName="vehiclelogRowChangeEventHandler" msprop:Generator_TablePropName="vehiclelog" msprop:Generator_TableVarName="tablevehiclelog" msprop:Generator_RowDeletingName="vehiclelogRowDeleting">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="cardno" msprop:Generator_UserColumnName="cardno" msprop:Generator_ColumnPropNameInRow="cardno" msprop:Generator_ColumnVarNameInTable="columncardno" msprop:Generator_ColumnPropNameInTable="cardnoColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="name" msprop:Generator_UserColumnName="name" msprop:Generator_ColumnPropNameInRow="name" msprop:Generator_ColumnVarNameInTable="columnname" msprop:Generator_ColumnPropNameInTable="nameColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="intime" msprop:Generator_UserColumnName="intime" msprop:Generator_ColumnPropNameInRow="intime" msprop:Generator_ColumnVarNameInTable="columnintime" msprop:Generator_ColumnPropNameInTable="intimeColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="outtime" msprop:Generator_UserColumnName="outtime" msprop:Generator_ColumnPropNameInRow="outtime" msprop:Generator_ColumnVarNameInTable="columnouttime" msprop:Generator_ColumnPropNameInTable="outtimeColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="logdate" msprop:Generator_UserColumnName="logdate" msprop:Generator_ColumnPropNameInRow="logdate" msprop:Generator_ColumnVarNameInTable="columnlogdate" msprop:Generator_ColumnPropNameInTable="logdateColumn" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="sid" msdata:AutoIncrement="true" msprop:Generator_UserColumnName="sid" msprop:Generator_ColumnPropNameInRow="sid" msprop:Generator_ColumnVarNameInTable="columnsid" msprop:Generator_ColumnPropNameInTable="sidColumn" type="xs:int" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:login" />
      <xs:field xpath="mstns:nm" />
    </xs:unique>
    <xs:unique name="VehicleDetails_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:VehicleDetails" />
      <xs:field xpath="mstns:id" />
    </xs:unique>
  </xs:element>
</xs:schema>